Class A_GainSkillTrigger extends SPActors placeable;

var(SkillTrigger) bool bGiveBonusHealth;
var(SkillTrigger) bool bGiveBonusSpeed;
var(SkillTrigger) bool bGiveBonusFire;
var(SkillTrigger) bool bGiveBonusJump;

event Trigger(Actor Other, Pawn EventInstigator)
{
	local PlayerController P;
	local SPMutator L;

	if (bGiveBonusHealth)
	{
		class'SPMutator'.Default.bBonusHealth = true;
		L.bBonusHealth = true;
		class'SPMutator'.Static.StaticSaveConfig();

		foreach DynamicActors(Class'PlayerController', P)
		{
			P.ClientMessage("You will now start each level with 150 health!");
		}
	}

	if (bGiveBonusSpeed)
	{
		class'SPMutator'.Default.bBonusSpeed = true;
		L.bBonusSpeed = true;
		class'SPMutator'.Static.StaticSaveConfig();

		foreach DynamicActors(Class'PlayerController', P)
		{
			P.ClientMessage("You will now start each level with increased speed!");
		}
	}

	if (bGiveBonusFire)
	{
		class'SPMutator'.Default.bBonusFire = true;
		L.bBonusFire = true;
		class'SPMutator'.Static.StaticSaveConfig();

		foreach DynamicActors(Class'PlayerController', P)
		{
			P.ClientMessage("You will now start each level with faster firing rates!");
		}
	}

	if (bGiveBonusJump)
	{
		class'SPMutator'.Default.bBonusJump = true;
		L.bBonusJump = true;
		class'SPMutator'.Static.StaticSaveConfig();

		foreach DynamicActors(Class'PlayerController', P)
		{
			P.ClientMessage("You will now start each level with the ability to dodge jump!");
		}
	}
}

defaultproperties
{
	bHidden=True
}