Class A_MonsterSpawnAtStart extends SPActors placeable;

var(MonsterSpawn) class<SPMonster> MonsterClass;
var(MonsterSpawn) name MonsterEvent;
var(MonsterSpawn) name MonsterTag;
var(MonsterSpawn) int MonsterHealth; // Set to 0 to retain monster's default health

event PostBeginPlay()
{
	Local Rotator Rot;

	Rot = Self.Rotation;
	If (MonsterClass != None)
	{
		Spawn(MonsterClass,,, Self.Location, Rot).SetMeUp(MonsterEvent, MonsterTag, MonsterHealth);
	}
}

defaultproperties
{
	bHidden=True
	bDirectional=True
     	Texture=Texture'Engine.DefaultFont.S_Ammo'
	MonsterClass=Class'Skaarj'
	MonsterHealth=0
}