Class A_TriggeredMonsterSpawn extends SPActors placeable;

var(MonsterSpawn) class<SPMonster> MonsterClass;
Var(MonsterSpawn) class<xEmitter> SpawnEffectClass;
var(MonsterSpawn) name MonsterEvent;
var(MonsterSpawn) name MonsterTag;
var(MonsterSpawn) int MonsterHealth; // Set to 0 to retain monster's default health

event Trigger(Actor Other, Pawn EventInstigator)
{
	Local Rotator Rot;

	Rot = Self.Rotation;
	If (MonsterClass != None)
	{
		Spawn(MonsterClass,,, Self.Location, Rot).SetMeUp(MonsterEvent, MonsterTag, MonsterHealth);
		Spawn(SpawnEffectClass,,, Self.Location, Rot);
	}
}

defaultproperties
{
	bHidden=True
	bDirectional=True
     	Texture=Texture'Engine.DefaultFont.S_Ammo'
	MonsterClass=Class'Skaarj'
}