Class A_TriggeredTentacleSpawn extends SPActors placeable;

Var(MonsterSpawn) class<xEmitter> SpawnEffectClass;
var(MonsterSpawn) name MonsterEvent;
var(MonsterSpawn) name MonsterTag;
var(MonsterSpawn) int MonsterHealth; // Set to 0 to retain monster's default health
var(MonsterSpawn) name MonsterAIScriptTag;

function PostBeginPlay()
{
	Super.PostBeginPlay();

	bHidden = true;
}

event Trigger(Actor Other, Pawn EventInstigator)
{
	Local Rotator Rot;

	Rot = Self.Rotation;
		Spawn(class'SPMonster_Tentacle',,, Self.Location, Rot).SetMeUpTent(MonsterEvent, MonsterTag, MonsterHealth, MonsterAIScriptTag);
		Spawn(SpawnEffectClass,,, Self.Location, Rot);
}

defaultproperties
{
	bHidden=False
	bDirectional=True
	DrawType=DT_Mesh
     CollisionRadius=30.000000
     CollisionHeight=35.000000
     Mesh=VertMesh'CodeBaseMonsters.Tentacle1'
     Skins(0)=Texture'CodeBaseMonsters.Skins.JTentacle1'
     Skins(1)=Texture'CodeBaseMonsters.Skins.JTentacle1'
}