Class SPCreditsPickup extends TournamentPickup placeable;

auto state Pickup
{	
	function Touch(actor Other)
	{
		local Inventory Copy;

		if (ValidTouch(Other))
		{
			Copy = SpawnCopy(Pawn(Other));
			AnnouncePickup(Pawn(Other));
            
			if (Copy != None)
			{
				Copy.PickupFunction(Pawn(Other));
				Destroy();
			}
		}
	}

}

defaultproperties
{
     	PickupMessage="Picked up a Credit."
	RespawnTime=0
	InventoryType=Class'CodeBase.SPCredits'
    	PickupSound=sound'WeaponSounds.BaseGunTech.BPickup2'
     	CollisionRadius=16.000000
     	CollisionHeight=8.000000
	DrawType=DT_StaticMesh
	DrawScale=0.4
	StaticMesh=StaticMesh'WeaponStaticMesh.NEWTranslocatorPUCK'
}