Class SPPlayer extends xPlayer;

var bool bRespawning;

replication
{
	reliable if (Role < ROLE_Authority)
		bRespawning;
}

function PlayStartupMessage(byte StartupStage)
{
	ReceiveLocalizedMessage(class'SPMessage', StartupStage, PlayerReplicationInfo);
}

function ShowMidGameMenu(bool bPause)
{
	// Pause if not already
	if(Level.Pauser == None)
		SetPause(true);

	if ( Level.NetMode != NM_DedicatedServer )
		StopForceFeedback();  // jdf - no way to pause feedback

	ClientOpenMenu("CodeBase.SPMidGameMenu");

	// Stop the bullshit and open my frigging menu, dammit.
}

function ServerUse()
{
    local Actor A;
	local Vehicle DrivenVehicle, EntryVehicle, V;
	local SPVolume_Pullup PV;

	if ( Role < ROLE_Authority )
		return;

    if ( Level.Pauser == PlayerReplicationInfo )
    {
        SetPause(false);
        return;
    }

    if (Pawn == None || !Pawn.bCanUse)
        return;

	DrivenVehicle = Vehicle(Pawn);
	if( DrivenVehicle != None )
	{
		DrivenVehicle.KDriverLeave(false);
		return;
	}

    // Check for nearby vehicles
    ForEach Pawn.VisibleCollidingActors(class'Vehicle', V, VehicleCheckRadius)
    {
        // Found a vehicle within radius
        EntryVehicle = V.FindEntryVehicle(Pawn);
        if (EntryVehicle != None && EntryVehicle.TryToDrive(Pawn))
            return;
    }

    // Send the 'DoUse' event to each actor player is touching.
    ForEach Pawn.TouchingActors(class'SPVolume_Pullup', PV)
        if (PV != None)
	{
		Pawn.AddVelocity(vect(0,0,200));
	}

    ForEach Pawn.TouchingActors(class'Actor', A)
        A.UsedBy(Pawn);

	if ( Pawn.Base != None )
		Pawn.Base.UsedBy( Pawn );
}

function PawnDied(Pawn P)
{
	Super.PawnDied(P);

	bRespawning = true;
}

defaultproperties
{
	PawnClass=Class'SPPawn'
	MidGameMenuClass="CodeBase.SPMidGameMenu"
}