Class A_FlareLight extends Light;

#exec obj load file=GeneralAmbience.uax

simulated function PostBeginPlay()
{
	SetTimer(10, true);
}

simulated function Timer()
{
	Destroy();
}

defaultproperties
{
	AmbientSound=Sound'GeneralAmbience.computerfx31'
	bFullVolume=true
	SoundVolume=200
	SoundRadius=200
	bStatic=false
	bDirectional=true
	bNoDelete=false
	bDynamicLight=true
	bMovable=true
	bHidden=true
     	LightType=LT_Pulse
     	LightEffect=LE_None
     	LightBrightness=200.000000
     	LightRadius=12.000000
     	LightHue=32
     	LightSaturation=32
     	LightPeriod=35
	RemoteRole=Role_SimulatedProxy
	bAlwaysRelevant=true
}