Class A_TriggeredDynamicLight extends Light placeable;

var(Lighting) enum EChangeLightType
{
	LT_None,
	LT_Steady,
	LT_Pulse,
	LT_Blink,
	LT_Flicker,
	LT_Strobe,
	LT_BackdropLight,
	LT_SubtlePulse,
	LT_TexturePaletteOnce,
	LT_TexturePaletteLoop,
	LT_FadeOut
} ChangeLightType;

var(LightColor) byte
	ChangeLightHue,
	ChangeLightSaturation;
var(LightColor) float
	ChangeLightBrightness;
var(Lighting) float
	ChangeLightRadius;

event Trigger(Actor Other, Pawn EventInstigator)
{
	//LightType = ChangeLightType;

	LightHue = ChangeLightHue;

	LightSaturation = ChangeLightSaturation;

	LightBrightness = ChangeLightBrightness;

	LightRadius = ChangeLightRadius;
}

defaultproperties
{
	bStatic=false
	bDirectional=true
	bNoDelete=false
	bDynamicLight=true
	bMovable=true
	bHidden=true
     	LightType=LT_Pulse
     	LightEffect=LE_None
     	LightBrightness=150.000000
     	LightRadius=18.000000
     	LightHue=0
     	LightSaturation=150
     	LightPeriod=35
	RemoteRole=Role_SimulatedProxy
	bAlwaysRelevant=true
}