//
// This code is by punk129 (http://www.punk129.com) - Thanks for letting me use your code!
//

class Interface_LoadPage extends Interface_SaveGamePage;

var Automated GUIButton bLoad;

function bool LeftButtonClick(GUIComponent Sender)
{
    local PlayerController PC;
    local int i;

        PC = PlayerOwner();

        if (Sender == bLoad)
        {
                //get the slot where the game is saved
                i = SaveGameList.FindIndex(SaveGameList.Get());

                //load the savegame
                PC.ClientTravel( "?load="$i, TRAVEL_Absolute, false);
        }

        return true;
}


//just the same, but on double click
function bool InternalOnDblClick(GUIComponent Sender)
{
    local PlayerController PC;
    local int i;

        PC = PlayerOwner();

        if (Sender == SaveGameList)
        {
                //get the slot where the game is saved
                i = SaveGameList.FindIndex(SaveGameList.Get());

                //load the savegame
                PC.ClientTravel( "?load="$i, TRAVEL_Absolute, false);
        }

        return true;
}

function bool InternalOnPreDraw(Canvas Canvas)
{
	local float XL;

	Super.InternalOnPreDraw(Canvas);

	bLoad.WinWidth = XL+96;
	bLoad.WinLeft = Canvas.ClipX-256;

	return false;
}

DefaultProperties
{
     Begin Object Class=GUIButton Name=Button_Load
                OnClick=LeftButtonClick
         Caption="LOAD"
         StyleName="FooterButton"
         Hint="Load selected save."
         WinTop=0.959479
         WinWidth=0.120000
         WinHeight=0.040703
         RenderWeight=1.000000
         bBoundToParent=True
     End Object

	bLoad=Button_Load

    //don't add the empty slot, because we are loading
    bSaving=false
}