class QueenRocket extends SeekingRocketProj;

#exec obj load file=ParticleMeshes.usx

simulated function Timer()
{
	local Pawn P;

    	if ( InitialDir == vect(0,0,0) )
        	InitialDir = Normal(Velocity);
         
	Acceleration = vect(0,0,0);
    	Super.Timer();
    	if (Seeking == None)
    	{
		foreach VisibleCollidingActors(class'Pawn', P, 9500)
		{
			if (P != Instigator)
				Seeking = P;
		}
    	}
}

simulated function PostBeginPlay()
{
    Super.PostBeginPlay();
    SetTimer(0.001, true);
}

defaultproperties
{
     Speed=2000.000000
     MaxSpeed=2600.000000
     Damage=40.000000
     DrawScale=0.2
     DamageRadius=280.000000
     MomentumTransfer=15000.000000
     MyDamageType=CodeBase.QueenDamage
     StaticMesh=StaticMesh'ParticleMeshes.Simple.ParticleSphere3'
}
