Class SPBlinderPowerPickup extends TournamentPickup placeable;

auto state Pickup
{	
	function Touch(actor Other)
	{
		local Inventory Copy;

		if (ValidTouch(Other))
		{
			Copy = SpawnCopy(Pawn(Other));
			AnnouncePickup(Pawn(Other));
            
			if (Copy != None)
			{
				Copy.PickupFunction(Pawn(Other));
				Destroy();
			}
		}
	}

}

defaultproperties
{
     	PickupMessage="Picked up a Blinder."
	RespawnTime=0
	InventoryType=Class'CodeBase.SPBlinder'
    	PickupSound=sound'PickupSounds.AdrenelinPickup'
     	CollisionRadius=16.000000
     	CollisionHeight=8.000000
	DrawType=DT_StaticMesh
	DrawScale=5
	StaticMesh=StaticMesh'WeaponStaticMesh.FlakShell'
}