class SPCredits extends SPInventoryItem;

function PostBeginPlay()
{
	Super.PostBeginPlay();

	SetTimer(0.5, true);
}

function Timer()
{
	Super.Timer();

	if (NumCopies < 0)
		UsedUp();
}

function Activate()
{
	if (NumCopies >= 0)
	{
		Pawn(Owner).ClientMessage("You can use Credits in Shops or Gambling Machines.");
	}

	if (NumCopies < 0)
		UsedUp();
}


defaultproperties
{
	PickupClass=Class'CodeBase.SPCreditsPickup'
	PowerupName="Credits"
}