Class SPGamblingShop extends Triggers;

var() sound BuySound;

function bool SelfTriggered()
{
	return true;
}

function UsedBy(Pawn user)
{
	local Inventory Inv;

	for (Inv = user.Inventory; Inv != None; Inv = Inv.Inventory)
	{
		if (SPCredits(Inv) != None)
		{
			if (SPCredits(Inv).NumCopies > 0)
			{
				if (fRand() > 0.3)
				{
					SPCredits(Inv).NumCopies += 10;
					user.ClientMessage("You have won 10 credits!");
				}
	
				else if (fRand() > 0.5)
				{
					SPCredits(Inv).NumCopies -= 10;
					user.ClientMessage("You have lost 10 credits!");
				}

				else if (fRand() > 0.6)
				{
					SPCredits(Inv).NumCopies += 50;
					user.ClientMessage("You have won 50 credits!");
				}
	
				else if (fRand() > 0.7)
				{
					SPCredits(Inv).NumCopies -= 30;
					user.ClientMessage("You have lost 30 credits!");
				}
	
				else if (fRand() > 0.99)
				{
					SPCredits(Inv).NumCopies += 30;
					user.ClientMessage("You have won 30 credits!");
				}
	
	
				PlaySound(BuySound,SLOT_Interact,50,true,100,,true);

				return;
	
			}
		}
	}

		if (PlayerController(user.Controller) != None)
		{
			PlayerController(user.Controller).ClientMessage("You have no credits to gamble with!");
		}
}

function Touch(Actor Other)
{
	if ( Pawn(Other) != None )
	{
		Pawn(Other).ClientMessage("Press USE to gamble!");

		if ( AIController(Pawn(Other).Controller) != None)
			UsedBy(Pawn(Other));
	}
}

function bool IsRelevant(actor Other)
{

	return (Pawn(Other) != None) && Monster(Other) == None;
}

defaultproperties
{
	BuySound=Sound'PickupSounds.HealthPack'
}