Class SPHealthPackPickup extends TournamentPickup placeable;

auto state Pickup
{	
	function Touch(actor Other)
	{
		local Inventory Copy;

		if (ValidTouch(Other))
		{
			Copy = SpawnCopy(Pawn(Other));
			AnnouncePickup(Pawn(Other));
            
			if (Copy != None)
			{
				Copy.PickupFunction(Pawn(Other));
				Destroy();
			}
		}
	}

}

defaultproperties
{
     	PickupMessage="Picked up a Health Pack."
	RespawnTime=0
	InventoryType=Class'CodeBase.SPHealthpack'
    	PickupSound=sound'PickupSounds.LargeHealthPickup'
     	CollisionRadius=32.000000
     	CollisionHeight=23.000000
	DrawType=DT_StaticMesh
	DrawScale=0.3
	StaticMesh=StaticMesh'E_Pickups.Health.MidHealth'
}