Class SPMonsterControllerFriendly extends MonsterController;

var NavigationPoint MT;
var bool bWalksToSpot;

event PostBeginPlay()
{
	Super.PostBeginPlay();

	SetTimer(5, true);
}

function FightEnemy(bool bCanCharge)
{
	Enemy = None;
	Target = None;
}

function ChangeEnemy(Pawn NewEnemy, bool bCanSeeNewEnemy)
{
	Enemy = None;
	Target = None;
}

function Timer()
{
	if (Enemy == None && SPMonster(Pawn) != None)
	{
		if (fRand() < 0.02)
		{
			WanderOrCamp(false);
		}

		else
		{
			RunAway();
		}
	}
}

function bool FindNewEnemy()
{
	return false;
}

function bool SetEnemy(Pawn NewEnemy, optional bool bHateMonster)
{
	return false;
}

event SeePlayer(Pawn SeenPlayer)
{
	bEnemyIsVisible = false;
}

function RunAway()
{
	local PathNode P, Prev;
	local Array<PathNode> Y;

	foreach RadiusActors(class'PathNode', P, 1024)
	{
		if (P != None)
		{
			Y[Y.Length] = P;
	
			P = Y[RandRange(0, Y.Length -1)];
		
			if (P.Location == Pawn.Location) // Makes sure the monster does actually move.
			{
				return;
			}

			if (P == Prev) // Stops monster from going to previous pathnode.
			{
				return;
			}
		
			else
			{
				bPreparingMove = true;
				Destination = P.Location;
				GotoState('RestFormation','WaitForAnim');
				Prev = P;
			}
	
		}

		else
		{
			WanderOrCamp(false);
		}

	}
}