Class SPNightVisionPickup extends TournamentPickup placeable;

auto state Pickup
{	
	function Touch(actor Other)
	{
		local Inventory Copy;

		if (ValidTouch(Other))
		{
			Copy = SpawnCopy(Pawn(Other));
			AnnouncePickup(Pawn(Other));
            
			if (Copy != None)
			{
				Copy.PickupFunction(Pawn(Other));
				Destroy();
			}
		}
	}

}

defaultproperties
{
     	PickupMessage="Picked up some Night Vision goggles."
	RespawnTime=0
	InventoryType=Class'CodeBase.SPNightVision'
	DrawScale=0.5
    	PickupSound=sound'PickupSounds.LinkGunPickup'
     	CollisionRadius=32.000000
     	CollisionHeight=23.000000
	DrawType=DT_StaticMesh
	StaticMesh=StaticMesh'XPickups_rc.HealthPack'
}